%define upstream_name    Devel-Cycle
%define upstream_version 1.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary: 	Find memory cycles in objects
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz


Requires:	perl-PadWalker >= 1.0
BuildArch: 	noarch


%description
This is a simple developer's tool for finding circular references in objects
and other types of references. Because of Perl's reference-count based
memory management, circular references will cause memory leaks.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{perl_vendorlib}/Devel
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-3.mga3
+ Revision: 365721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.110.0-2.mga1
+ Revision: 32746
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.110.0-1.mga1
+ Revision: 30109
- mageia rebuild
- imported package perl-Devel-Cycle

